"""Wrap SquashFS commands."""

from rwx import cmd, ps

cmd.need("mksquashfs")


def mksquashfs(input_root: str, output_file: str) -> None:
    """Make a SquashFS bootable image file."""
    ps.run(
        "mksquashfs",
        input_root,
        output_file,
        "-comp",
        "zstd",
        "-Xcompression-level",
        str(18),
    )
