"""Wrap Debian commands."""

from rwx import cmd, ps

cmd.need("debootstrap")

BOOTSTRAP_ARCHITECTURE = "amd64"
BOOTSTRAP_VARIANT = "minbase"


def bootstrap(root_path: str, suite: str, mirror_location: str) -> None:
    """Boostrap a base operating filesystem."""
    command = [
        ("debootstrap",),
        ("--arch", BOOTSTRAP_ARCHITECTURE),
        ("--variant", BOOTSTRAP_VARIANT),
        (suite,),
        (root_path,),
        (mirror_location,),
    ]
    ps.run(*command)
