"""Abstract Operating System."""

from abc import ABC, abstractmethod
from pathlib import Path


class OS(ABC):
    """Operating System."""

    def __init__(self, path: Path) -> None:
        """Set root."""
        self.root = path
        self.name = self.get_name()

    @abstractmethod
    def get_name(self) -> str:
        """Return mandatory name."""

    def __str__(self) -> str:
        """Return root & name."""
        return f"""\
root = {self.root}
name = {self.name}
"""
